Issue 80287 - The entries in linguistic.xcu should allow use of extensions
Summary: The entries in linguistic.xcu should allow use of extensions
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: configuration (show other issues)
Version: 680m222
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 72559 84202
  Show dependency tree
 
Reported: 2007-08-02 11:56 UTC by thomas.lange
Modified: 2013-08-07 14:43 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description thomas.lange 2007-08-02 11:56:49 UTC
In the long we would like the linguistic e.g. spell checker, thesaurus or there
language specific data files to be installed as extensions.
To prepare for this the entries in the configuration (linguistic.xcu) need to be
changed to a representation that allows for this in the future.
Comment 1 thomas.lange 2007-08-06 13:45:51 UTC
.
Comment 2 thomas.lange 2007-08-08 07:36:41 UTC
.
Comment 3 thomas.lange 2007-12-03 16:14:01 UTC
.
Comment 4 thomas.lange 2007-12-10 11:18:52 UTC
Files changed:
- officecfg\registry\schema\org\openoffice\Office\Linguistic.xcs
Comment 5 thomas.lange 2007-12-13 13:11:51 UTC
Files changed:
- svtools/inc/linguprops.hxx
- svtools/inc/svtools/lingucfg.hxx
- svtools/source/config/lingucfg.cxx
Comment 6 thomas.lange 2008-02-05 15:35:07 UTC
Further files changed:

- linguistic/inc/misc.hxx
- linguistic/source/misc2.cxx       new file
- linguistic/source/dlistimp.cxx
- linguistic/source/lngsvcmgr.cxx
- linguistic/source/makefile.mk
- linguistic/source/supplang.cxx
Comment 7 thomas.lange 2008-02-05 16:00:51 UTC
Further changes:

- lingucomponent/source/hyphenator/altlinuxhyph/hyphen/hyphenimp.cxx
- lingucomponent/source/lingutil/dictmgr.hxx
- lingucomponent/source/lingutil/lingutil.cxx       (new file)
- lingucomponent/source/lingutil/lingutil.hxx       (new file)
- lingucomponent/source/spellcheck/spell/sspellimp.cxx
- lingucomponent/source/thesaurus/libnth/nthesimp.cxx
Comment 8 thomas.lange 2008-02-07 12:20:23 UTC
Configuration and setup files changed:

- lingucomponent/config/Linguistic-lingucomponent-hyphenator.xcu   (new file)
- lingucomponent/config/Linguistic-lingucomponent-spellchecker.xcu (new file)
- lingucomponent/config/Linguistic-lingucomponent-thesaurus.xcu	   (new file)
- lingucomponent/prj/d.lst

- scp2/source/lingu/localize.sdf		removed
- scp2/source/lingu/module_lingu.scp		removed
- scp2/source/lingu/module_lingu.ulf		removed
- scp2/source/ooo/file_ooo.scp
- scp2/source/ooo/module_hidden_ooo.scp

- setup_native/source/packinfo/packinfo_office.txt

- setupso_native/source/packinfo/so/packinfo_office.txt
Comment 9 thomas.lange 2008-02-19 14:35:12 UTC
.
Comment 10 thomas.lange 2008-02-27 08:58:59 UTC
.
Comment 11 stefan.baltzer 2008-03-11 14:56:46 UTC
Verified in CWS tl41.
Comment 12 stefan.baltzer 2008-03-11 14:57:56 UTC
Set to verified.
Comment 13 stefan.baltzer 2008-08-01 12:25:50 UTC
SBA: Dicts as extensions work well in DEV300m29. Closed.